<template>
  <div class="d-md-flex align-items-end flex-wrap justify-content-center mt-4 p-3 pb-3 contenedorPrincipal">
  <div class="d-md-flex flex-column">
    <label for="liquidacion" class="form-label" 
      >Liquidación:</label
    >

  <auto-complete
    v-model="data.liquidacion"
    :elements="liquidacionesStore.listadoLiquidaciones"
    initKey=""
    placeholder="liquidación"
    :minLength="2"
    :disabled="false"
    id="liquidaciones"
  />
  </div>
<div class="d-md-flex flex-column ms-0 ms-md-2">
  <label for="informe" class="form-label"
    >Informe:</label
  >

  <!-- <select v-model="data.nro_informe" id="informe" :on-change="verificoLiq()"> -->
  <select v-model="data.nro_informe" id="informe" class="p-1 w-75">
    <!--<option selected :value="1">Planilla de distribución Cheques por Sucursal</option>-->
    <option selected :value="2">Planilla de totales por Sucursal</option>
    <option :value="3">Totales Generales</option>
    <option :value="4">Listado Respaldo por Proveedor Alfabético</option>
    <option :value="5">Listado Totales por Proveedor</option>
  </select>
</div>
  <a
    :href="imprimirListado()"
    target="_blank"
    title="Imprimir"
    alt="Imprimir"
    class="btn mt-1 p-1 px-2 mx-2 btn-crear"
    style="padding: 10px !important"
    v-if="data.nro_informe !== null && data.liquidacion.id_liq_resu !== null"
  >
  <i class="fa-solid fa-file-pdf fs-7"></i> Imprimir Listado
  </a>

</div>
</template>

<script setup lang="ts">
import Swal from "sweetalert2/dist/sweetalert2.js";
import type { SweetAlertOptions } from "sweetalert2";
import { isEmpty } from "@/shared.js";

import { onMounted, reactive } from "vue";
import { AutoComplete } from "@hcd-bsas/vue3-components";

import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb, getUrl } from "@/shared.js";

//Entidades
import type Liquidacion from "@/entities/Liquidaciones/Liquidacion";

// Stores
import { useLiquidacionesStore } from "@/stores/Liquidaciones/liquidaciones";

const liquidacionesStore = useLiquidacionesStore();

const { breadcrumb } = useBreadcrumb();

var data = reactive({
  liquidacion: undefined as Liquidacion | undefined,
  nro_informe: null as string | null,
});

function verificoLiq(){

  const swal: SweetAlertOptions = {
    icon: "error",
    title: "Error",
    html: "",
  };

  if (!data.liquidacion?.id_liq_resu) {
    swal.html = "Por favor, complete el campo Liquidación.";
    if (!isEmpty(swal.html)) {
      Swal.fire(swal);
      console.log('nada'); 
      return;
    }
  }

}

function imprimirListado() {


  verificoLiq();
  var queryParams: any = {
    nro_listado: data.nro_informe,
    id_liq: data.liquidacion?.id_liq_resu,
    titulo: data.liquidacion?.value,
  };
  return getUrl("ImprimirListadosTesoreria", [], queryParams);
}

onMounted(async () => {
  breadcrumb?.initRoutes([
    new BreadCrumbRoute("inicio"),
    new BreadCrumbRoute("inicioInformeTesoreria"),
  ]);

  await liquidacionesStore.updateListadoLiquidaciones();
});
</script>
<style scoped>
.informe {

  width: 50px !important;
}
</style>
